.contenedor {
    width: 100%;
    height: 50vh;
    color: white;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: repeat(6, 1fr);
    gap: 10px;
    grid-template-areas:
        "merch merch merch merch merch header header header header header header header"
        "lateral lateral productos productos productos productos productos productos productos productos feature2 feature2"
        "lateral lateral productos productos productos productos productos productos productos productos . ."
        "lateral lateral bonus1 bonus1 . . . . bonus3 bonus3 feature3 feature3"
        "lateral lateral . . bonus2 bonus2 . . . . bonus4 bonus4"
        "lateral lateral footer footer footer footer footer footer footer footer footer footer";
}

.features {
    background-color: red;
}

.merch {
    grid-area: merch;
}

header {
    background-color: black;
    grid-area: header;
}

.lateral {
    background-color: green;
    grid-area: lateral;
}

.productos {
    background-color: blue;
    grid-area: productos;
}

.bonus {
    background-color: pink;
}

.feature2 {
    grid-area: feature2;
}

.feature3 {
    grid-area: feature3;
}

.bonus1 {
    grid-area: bonus1;
}

.bonus2 {
    grid-area: bonus2;
}

.bonus3 {
    grid-area: bonus3;
}

.bonus4 {
    grid-area: bonus4;
}

footer {
    background-color: orange;
    grid-area: footer;
}

.contenedor>* {
    display: flex;
    justify-content: center;
    align-items: center;
}

@media all and (max-width:1000px) {
    .contenedor {
        grid-template-columns: repeat(3, 1fr);
        gap: 2px;
        grid-template-areas:
            "merch header header"
            "lateral productos feature2"
            "lateral productos feature3"
            "lateral bonus1 bonus3"
            "lateral bonus2 bonus4"
            "lateral footer footer";
    }
}

@media all and (max-width:600px) {
    .contenedor {
        grid-template-columns: 1fr 2fr;
        grid-template-rows: repeat(9, 1fr);
        grid-template-areas:
            "merch header "
            "lateral lateral"
            "productos feature2"
            "productos feature3"
            "bonus1 bonus1"
            "bonus2 bonus2"
            "bonus3 bonus3"
            "bonus4 bonus4"
            " footer footer";
    }

}